Loading...
Searching...
No Matches
AVComponentDescriptor Struct Reference

`#include <libavutil/pixdesc.h>`

## Data Fields

int | plane
| Which of the 4 planes contains the component.
int | step
| Number of elements between 2 horizontally consecutive pixels.
int | offset
| Number of elements before the component of the first pixel.
int | shift
| Number of least significant bits that must be shifted away to get the value.
int | depth
| Number of bits in the component.

## Detailed Description

Definition at line 30 of file pixdesc.h.

## Field Documentation

## plane

int AVComponentDescriptor::plane

Which of the 4 planes contains the component.

Definition at line 34 of file pixdesc.h.

## step

int AVComponentDescriptor::step

Number of elements between 2 horizontally consecutive pixels.

Elements are bits for bitstream formats, bytes otherwise.

Definition at line 40 of file pixdesc.h.

## offset

int AVComponentDescriptor::offset

Number of elements before the component of the first pixel.

Elements are bits for bitstream formats, bytes otherwise.

Definition at line 46 of file pixdesc.h.

## shift

int AVComponentDescriptor::shift

Number of least significant bits that must be shifted away to get the value.

Definition at line 52 of file pixdesc.h.

## depth

int AVComponentDescriptor::depth

Number of bits in the component.

Definition at line 57 of file pixdesc.h.

The documentation for this struct was generated from the following file:

- libavutil/pixdesc.h